Event.MetadataUpdateEvent.MetadataType (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.inotify, class: Event, class: MetadataUpdateEvent, enum: MetadataType

Package org.apache.hadoop.hdfs.inotify

# Enum Class Event.MetadataUpdateEvent.MetadataType

java.lang.Object
java.lang.Enum<Event.MetadataUpdateEvent.MetadataType>
org.apache.hadoop.hdfs.inotify.Event.MetadataUpdateEvent.MetadataType

All Implemented Interfaces:
  `Serializable`, `Comparable<Event.MetadataUpdateEvent.MetadataType>`, `Constable`

Enclosing class:
  Event.MetadataUpdateEvent

public static enum Event.MetadataUpdateEvent.MetadataType extends Enum<Event.MetadataUpdateEvent.MetadataType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACLS`
  `OWNER`
  `PERMS`
  `REPLICATION`
  `TIMES`
  `XATTRS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Event.MetadataUpdateEvent.MetadataType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Event.MetadataUpdateEvent.MetadataType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TIMES

    public static final Event.MetadataUpdateEvent.MetadataType TIMES

  - ### REPLICATION

    public static final Event.MetadataUpdateEvent.MetadataType REPLICATION

  - ### OWNER

    public static final Event.MetadataUpdateEvent.MetadataType OWNER

  - ### PERMS

    public static final Event.MetadataUpdateEvent.MetadataType PERMS

  - ### ACLS

    public static final Event.MetadataUpdateEvent.MetadataType ACLS

  - ### XATTRS

    public static final Event.MetadataUpdateEvent.MetadataType XATTRS

- ## Method Details

  - ### values

    public static Event.MetadataUpdateEvent.MetadataType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Event.MetadataUpdateEvent.MetadataType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null